diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoHmacKeyAlgorithm.idl webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoHmacKeyAlgorithm.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoHmacKeyAlgorithm.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoHmacKeyAlgorithm.idl	2024-03-26 13:31:44.420849197 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoHmacKeyAlgorithm : CryptoKeyAlgorithm {
     // The inner hash function to use.
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyAES.cpp webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyAES.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyAES.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyAES.cpp	2024-03-26 13:31:44.420849197 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyAES.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAesKeyAlgorithm.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoAlgorithmRegistry.h"
@@ -128,3 +130,5 @@ auto CryptoKeyAES::algorithm() const ->
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyAES.h webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyAES.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyAES.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyAES.h	2024-03-26 13:31:44.420849197 -0500
@@ -31,6 +31,8 @@
 #include <wtf/Function.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmParameters;
@@ -75,3 +77,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyAES, CryptoKeyClass::AES)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyAlgorithm.idl webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyAlgorithm.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyAlgorithm.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyAlgorithm.idl	2024-03-26 13:31:44.420849197 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoKeyAlgorithm {
     required DOMString name;
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyEC.cpp webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyEC.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyEC.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyEC.cpp	2024-03-26 13:31:44.424182559 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyEC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "JsonWebKey.h"
 #include <wtf/text/Base64.h>
@@ -228,3 +230,5 @@ auto CryptoKeyEC::algorithm() const -> K
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyEC.h webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyEC.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyEC.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyEC.h	2024-03-26 13:31:44.427515922 -0500
@@ -29,6 +29,8 @@
 #include "CryptoKeyPair.h"
 #include "ExceptionOr.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #if OS(DARWIN) && !PLATFORM(GTK)
 #include "CommonCryptoUtilities.h"
 
@@ -116,3 +118,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyEC, CryptoKeyClass::EC)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyHMAC.cpp webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyHMAC.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyHMAC.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyHMAC.cpp	2024-03-26 13:31:44.427515922 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyHMAC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHmacKeyParams.h"
 #include "CryptoAlgorithmRegistry.h"
 #include "ExceptionOr.h"
@@ -147,3 +149,5 @@ auto CryptoKeyHMAC::algorithm() const ->
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyHMAC.h webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyHMAC.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyHMAC.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyHMAC.h	2024-03-26 13:31:44.427515922 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKey.h"
 #include "ExceptionOr.h"
 #include <wtf/Function.h>
@@ -70,3 +72,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyHMAC, CryptoKeyClass::HMAC)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyOKP.cpp webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyOKP.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyOKP.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyOKP.cpp	2024-03-26 13:31:44.427515922 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyOKP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "JsonWebKey.h"
 #include <wtf/text/Base64.h>
@@ -255,3 +257,5 @@ Vector<uint8_t> CryptoKeyOKP::platformEx
 #endif
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyOKP.h webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyOKP.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyOKP.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyOKP.h	2024-03-26 13:31:44.427515922 -0500
@@ -29,6 +29,8 @@
 #include "CryptoKeyPair.h"
 #include "ExceptionOr.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 struct JsonWebKey;
@@ -87,3 +89,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyOKP, CryptoKeyClass::OKP)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRaw.cpp webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRaw.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRaw.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRaw.cpp	2024-03-26 13:31:44.427515922 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyRaw.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 
 namespace WebCore {
@@ -44,3 +46,5 @@ auto CryptoKeyRaw::algorithm() const ->
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRaw.h webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRaw.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRaw.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRaw.h	2024-03-26 13:31:44.427515922 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoKey.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyRaw final : public CryptoKey {
@@ -51,3 +53,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyRaw, CryptoKeyClass::Raw)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.cpp webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.cpp	2024-03-26 13:31:44.427515922 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyRSAComponents.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 CryptoKeyRSAComponents::CryptoKeyRSAComponents(const Vector<uint8_t>& modulus, const Vector<uint8_t>& exponent)
@@ -87,3 +89,5 @@ CryptoKeyRSAComponents::CryptoKeyRSAComp
 CryptoKeyRSAComponents::~CryptoKeyRSAComponents() = default;
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.h webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.h	2024-03-26 13:31:44.427515922 -0500
@@ -27,11 +27,13 @@
 
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyRSAComponents {
 public:
-    enum class Type : bool {
+    enum class Type {
         Public,
         Private
     };
@@ -109,3 +111,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRSA.cpp webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRSA.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRSA.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRSA.cpp	2024-03-26 13:31:44.427515922 -0500
@@ -30,6 +30,8 @@
 #include "JsonWebKey.h"
 #include <wtf/text/Base64.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 RefPtr<CryptoKeyRSA> CryptoKeyRSA::importJwk(CryptoAlgorithmIdentifier algorithm, std::optional<CryptoAlgorithmIdentifier> hash, JsonWebKey&& keyData, bool extractable, CryptoKeyUsageBitmap usages)
@@ -172,3 +174,5 @@ JsonWebKey CryptoKeyRSA::exportJwk() con
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRSA.h webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRSA.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoKeyRSA.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoKeyRSA.h	2024-03-26 13:31:44.427515922 -0500
@@ -29,6 +29,8 @@
 #include "ExceptionOr.h"
 #include <wtf/Function.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 #if OS(DARWIN) && !PLATFORM(GTK)
 #include "CommonCryptoUtilities.h"
 
@@ -108,3 +110,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyRSA, CryptoKeyClass::RSA)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoRsaHashedKeyAlgorithm.idl webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoRsaHashedKeyAlgorithm.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoRsaHashedKeyAlgorithm.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoRsaHashedKeyAlgorithm.idl	2024-03-26 13:31:44.430849285 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoRsaHashedKeyAlgorithm : CryptoRsaKeyAlgorithm {
     // The hash algorithm that is used with this key
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoRsaKeyAlgorithm.idl webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoRsaKeyAlgorithm.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/keys/CryptoRsaKeyAlgorithm.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/keys/CryptoRsaKeyAlgorithm.idl	2024-03-26 13:31:44.430849285 -0500
@@ -26,6 +26,7 @@
 typedef Uint8Array BigInteger;
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoRsaKeyAlgorithm : CryptoKeyAlgorithm {
     // The length, in bits, of the RSA modulus
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmECDHOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmECDHOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmECDHOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmECDHOpenSSL.cpp	2024-03-26 13:31:44.430849285 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDH.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyEC.h"
 #include "OpenSSLUtilities.h"
 
@@ -59,3 +61,5 @@ std::optional<Vector<uint8_t>> CryptoAlg
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmECDSAOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmECDSAOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmECDSAOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmECDSAOpenSSL.cpp	2024-03-26 13:31:44.430849285 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcdsaParams.h"
 #include "CryptoKeyEC.h"
 #include "OpenSSLUtilities.h"
@@ -97,3 +99,5 @@ ExceptionOr<bool> CryptoAlgorithmECDSA::
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmHKDFOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmHKDFOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmHKDFOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmHKDFOpenSSL.cpp	2024-03-26 13:31:44.430849285 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHKDF.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHkdfParams.h"
 #include "CryptoKeyRaw.h"
 #include "OpenSSLUtilities.h"
@@ -47,3 +49,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmHMACOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmHMACOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmHMACOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmHMACOpenSSL.cpp	2024-03-26 13:31:44.430849285 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHMAC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyHMAC.h"
 #include "OpenSSLCryptoUniquePtr.h"
 #include "OpenSSLUtilities.h"
@@ -83,3 +85,5 @@ ExceptionOr<bool> CryptoAlgorithmHMAC::p
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmPBKDF2OpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmPBKDF2OpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmPBKDF2OpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmPBKDF2OpenSSL.cpp	2024-03-26 13:31:44.430849285 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmPBKDF2.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmPbkdf2Params.h"
 #include "CryptoKeyRaw.h"
 #include "OpenSSLUtilities.h"
@@ -51,3 +53,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRegistryOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRegistryOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRegistryOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRegistryOpenSSL.cpp	2024-03-26 13:31:44.430849285 -0500
@@ -26,6 +26,7 @@
 #include "config.h"
 #include "CryptoAlgorithmRegistry.h"
 
+-#if ENABLE(WEB_CRYPTO)
 #include "CryptoAlgorithmAESCBC.h"
 #include "CryptoAlgorithmAESCFB.h"
 #include "CryptoAlgorithmAESCTR.h"
@@ -72,3 +73,5 @@ void CryptoAlgorithmRegistry::platformRe
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRSAES_PKCS1_v1_5OpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSAES_PKCS1_v1_5OpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRSAES_PKCS1_v1_5OpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSAES_PKCS1_v1_5OpenSSL.cpp	2024-03-26 13:31:44.430849285 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSAES_PKCS1_v1_5.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyRSA.h"
 #include "OpenSSLUtilities.h"
 
@@ -80,3 +82,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_OAEPOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_OAEPOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_OAEPOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_OAEPOpenSSL.cpp	2024-03-26 13:31:44.430849285 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_OAEP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaOaepParams.h"
 #include "CryptoKeyRSA.h"
 #include "OpenSSLUtilities.h"
@@ -131,3 +133,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_PSSOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_PSSOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_PSSOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_PSSOpenSSL.cpp	2024-03-26 13:31:44.434182648 -0500
@@ -26,7 +26,7 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_PSS.h"
 
-#if HAVE(RSA_PSS)
+#if ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
 
 #include "CryptoAlgorithmRsaPssParams.h"
 #include "CryptoKeyRSA.h"
@@ -119,4 +119,4 @@ ExceptionOr<bool> CryptoAlgorithmRSA_PSS
 
 } // namespace WebCore
 
-#endif // HAVE(RSA_PSS)
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRSASSA_PKCS1_v1_5OpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSASSA_PKCS1_v1_5OpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoAlgorithmRSASSA_PKCS1_v1_5OpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSASSA_PKCS1_v1_5OpenSSL.cpp	2024-03-26 13:31:44.434182648 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSASSA_PKCS1_v1_5.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyRSA.h"
 #include "OpenSSLUtilities.h"
 
@@ -95,3 +97,5 @@ ExceptionOr<bool> CryptoAlgorithmRSASSA_
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoKeyECOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoKeyECOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoKeyECOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoKeyECOpenSSL.cpp	2024-03-26 13:31:44.434182648 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyEC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "JsonWebKey.h"
 #include "OpenSSLUtilities.h"
 #include <wtf/text/Base64.h>
@@ -458,3 +460,5 @@ Vector<uint8_t> CryptoKeyEC::platformExp
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoKeyRSAOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoKeyRSAOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/CryptoKeyRSAOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/CryptoKeyRSAOpenSSL.cpp	2024-03-26 13:31:44.434182648 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyRSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "CryptoKeyPair.h"
 #include "CryptoKeyRSAComponents.h"
@@ -402,3 +404,5 @@ std::unique_ptr<CryptoKeyRSAComponents>
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/OpenSSLUtilities.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/OpenSSLUtilities.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/OpenSSLUtilities.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/OpenSSLUtilities.cpp	2024-03-26 13:31:44.434182648 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "OpenSSLUtilities.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "OpenSSLCryptoUniquePtr.h"
 
 namespace WebCore {
@@ -131,3 +133,6 @@ AESKey::~AESKey()
 }
 
 } // namespace WebCore
+
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/OpenSSLUtilities.h webkitgtk-2.44.0/Source/WebCore/crypto/openssl/OpenSSLUtilities.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/OpenSSLUtilities.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/OpenSSLUtilities.h	2024-03-26 13:31:44.434182648 -0500
@@ -33,6 +33,8 @@
 #include <wtf/Noncopyable.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 const EVP_MD* digestAlgorithm(CryptoAlgorithmIdentifier hashFunction);
@@ -59,3 +61,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/SerializedCryptoKeyWrapOpenSSL.cpp webkitgtk-2.44.0/Source/WebCore/crypto/openssl/SerializedCryptoKeyWrapOpenSSL.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/openssl/SerializedCryptoKeyWrapOpenSSL.cpp	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/openssl/SerializedCryptoKeyWrapOpenSSL.cpp	2024-03-26 13:31:44.437516010 -0500
@@ -26,6 +26,7 @@
 #include "config.h"
 #include "SerializedCryptoKeyWrap.h"
 
+-#if ENABLE(WEB_CRYPTO)
 #include "CryptoAlgorithmAESCTR.h"
 #include "NotImplemented.h"
 
@@ -61,3 +62,5 @@ bool unwrapSerializedCryptoKey(const Vec
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/AesCbcCfbParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/AesCbcCfbParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/AesCbcCfbParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/AesCbcCfbParams.idl	2024-03-26 13:31:44.437516010 -0500
@@ -27,6 +27,7 @@
 // https://www.w3.org/TR/WebCryptoAPI/#dfn-AesCbcParams, and
 // https://www.w3.org/TR/2014/CR-WebCryptoAPI-20141211/#dfn-AesCfbParams
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmAesCbcCfbParams
 ] dictionary AesCbcCfbParams : CryptoAlgorithmParameters {
     // The initialization vector. MUST be 16 bytes.
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/AesCtrParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/AesCtrParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/AesCtrParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/AesCtrParams.idl	2024-03-26 13:31:44.437516010 -0500
@@ -23,6 +23,7 @@
 */
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmAesCtrParams
 ] dictionary AesCtrParams : CryptoAlgorithmParameters {
     // The initial value of the counter block. counter MUST be 16 bytes
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/AesGcmParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/AesGcmParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/AesGcmParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/AesGcmParams.idl	2024-03-26 13:31:44.437516010 -0500
@@ -23,6 +23,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmAesGcmParams
 ] dictionary AesGcmParams : CryptoAlgorithmParameters {
     // The initialization vector to use. May be up to 2^64-1 bytes long.
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/AesKeyParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/AesKeyParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/AesKeyParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/AesKeyParams.idl	2024-03-26 13:31:44.437516010 -0500
@@ -27,6 +27,7 @@
 // https://www.w3.org/TR/WebCryptoAPI/#aes-derivedkey-params, and
 // https://www.w3.org/TR/WebCryptoAPI/#aes-keygen-params
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmAesKeyParams
 ] dictionary AesKeyParams : CryptoAlgorithmParameters {
     // The length, in bits, of the key.
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCbcCfbParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCbcCfbParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCbcCfbParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCbcCfbParams.h	2024-03-26 13:31:44.437516010 -0500
@@ -29,6 +29,8 @@
 #include "CryptoAlgorithmParameters.h"
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCbcCfbParams final : public CryptoAlgorithmParameters {
@@ -62,3 +64,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(AesCbcCfbParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCtrParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCtrParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCtrParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCtrParams.h	2024-03-26 13:31:44.437516010 -0500
@@ -29,6 +29,8 @@
 #include "CryptoAlgorithmParameters.h"
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCtrParams final : public CryptoAlgorithmParameters {
@@ -64,3 +66,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(AesCtrParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmAesGcmParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesGcmParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmAesGcmParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesGcmParams.h	2024-03-26 13:31:44.437516010 -0500
@@ -29,6 +29,8 @@
 #include "CryptoAlgorithmParameters.h"
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesGcmParams final : public CryptoAlgorithmParameters {
@@ -82,3 +84,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(AesGcmParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmAesKeyParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesKeyParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmAesKeyParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesKeyParams.h	2024-03-26 13:31:44.437516010 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithmParameters.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesKeyParams final : public CryptoAlgorithmParameters {
@@ -39,3 +41,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(AesKeyParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdhKeyDeriveParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdhKeyDeriveParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdhKeyDeriveParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdhKeyDeriveParams.h	2024-03-26 13:31:44.437516010 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithmParameters.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKey;
@@ -41,3 +43,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(EcdhKeyDeriveParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdsaParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdsaParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdsaParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdsaParams.h	2024-03-26 13:31:44.437516010 -0500
@@ -30,6 +30,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <variant>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmEcdsaParams final : public CryptoAlgorithmParameters {
@@ -53,3 +55,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(EcdsaParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmEcKeyParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcKeyParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmEcKeyParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcKeyParams.h	2024-03-26 13:31:44.437516010 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithmParameters.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmEcKeyParams final : public CryptoAlgorithmParameters {
@@ -48,3 +50,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(EcKeyParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmHkdfParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmHkdfParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmHkdfParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmHkdfParams.h	2024-03-26 13:31:44.440849373 -0500
@@ -31,6 +31,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmHkdfParams final : public CryptoAlgorithmParameters {
@@ -80,3 +82,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(HkdfParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmHmacKeyParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmHmacKeyParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmHmacKeyParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmHmacKeyParams.h	2024-03-26 13:31:44.440849373 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmParameters.h"
 #include <JavaScriptCore/JSObject.h>
 #include <JavaScriptCore/Strong.h>
@@ -55,3 +57,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(HmacKeyParams)
+
+#endif // ENABLE(WEB_CRYPTO)
